/* blink.c - blink led example
 * run '$ make' to check for erors,
 * '$ make writeflash' to compile and upload
 */

// Define clock speed for delay.h:
// (8MHz internal crystal; /8 prescaler):
#define F_CPU 1000000L

#include <avr/io.h>
#include <util/delay.h>

#define LED PB0 

void delay(int ms) {
  int i;
  for (i=0; i<ms; i++) {
    _delay_ms(1);
  }
}

int main(void){
  // Setup :
  //Set LED as output:
  DDRB |= (1<<LED); 
  // Start it high:
  PORTB |= (1<<LED);
  //--
  // Main:
  while (1) {
    // Wait 1 sec:
    delay(1000);
    // xor to toggle LED state:
    PORTB ^= (1<<LED);
  }
  return 0;
}
