/* Barebones.c - near-minumum file needed for ATtiny code to work.
 * run '$ make' to check for erors,
 * '$ make writeflash' to compile and upload
 */

// Define clock speed for delay.h:
// (8MHz internal crystal; /8 prescaler):
#define F_CPU 1000000L

#include <avr/io.h>
#include <util/delay.h>

#define LED1 PB0 

int analog_read(int read_pin){
  //Reads pin read_pin:
  if(read_pin != 1 && read_pin != 2 && read_pin != 3){
    //if read_bpin is not a valid number, break.
    return 0;
  }
}

void delay_microseconds(int us){
  int i;
  for (i = 0; i < us; i++){
    _delay_us(1);
  }
}

void delay(int ms) {
  int i;
  for (i=0; i<ms; i++) {
    _delay_ms(1);
  }
}

void toggle(int pin){
  PORTB ^= (1<<pin);
}

void set_high(int pin){
  PORTB |= (1<<pin);
}

void set_low(int pin){
  PORTB &= ~(1<<pin);
}

int main(void){
  // Setup :
  //Set LED as output:
  DDRB |= (1<<LED1); //set LED1 as output
  set_high(LED1); //default is input, 1 is output.
  
  // Main:
  while (1) {
    delay(100);
	toggle(LED1);
  }
  return 0;
}
