/* clicker_LDR.c 
 * run '$ make' to check for erors,
 * '$ make writeflash' to compile and upload
 */



#define F_CPU 1000000L // Define software reference clock for delay duration
#define LDR_1_THRESHOLD 200

#include <avr/io.h>
#include <util/delay.h>

#define BUZZER PB0
#define LDR1 PB4
 
 int i; // 8 bits integer

void delay(int ms) {
  int i;
  for (i=0; i<ms; i++) {
    _delay_ms(1);
  }
}

void delay_microseconds(int us){
  int i;
  for (i=0; i<us; i++){
    _delay_us(1);
  }
}

int analog_read(int read_pin){
  //Read ADC2L:
  if(read_pin != 1 && read_pin != 2 && read_pin != 3){
    //if read_pin is not a valid number, break.
    return 0;
  }
  ADMUX |= read_pin; //set the pin that the adc reads to ADC2 (PB4)
  ADCSRA |= (1 << ADEN); // Analog-Digital enable bit
  ADCSRA |= (1 << ADSC); // Discard first conversion
  while (ADCSRA & (1 << ADSC)); // wait until conversion is done
  ADCSRA |= (1 << ADSC); // start single conversion
  while (ADCSRA & (1 << ADSC)) // wait until conversion is done
  ADCSRA &= ~(1<<ADEN); // shut down the ADC
  int low_val = ADCL;
  int high_val = ADCH;
  int val = (high_val<<8)|low_val;
  
  //Clear bottom 3 bits of ADMUX:
  ADMUX &= ~(0x111);
  return val;
}

 int main(void){
   DDRB |= (1 << BUZZER); // Set output direction on LED
   ADCSRA |= (1 << ADEN)| // Analog-Digital enable bit
   // set prescaler to 8 (clock / 8) 
   (1 << ADPS1)|(1 << ADPS0);
   int delay_time = 0;
   int duration = 0;
   int i = 0;
   while(1){
     delay_time = analog_read(1);
	 duration = (1000/delay_time);
	 for(i = 0; i < duration; i++){
       PORTB ^= (1 << BUZZER); //invert the state of the BUZZER pin 
	   delay_microseconds(delay_time/2);
       PORTB ^= (1 << BUZZER); //invert the state of the BUZZER pin 
	   delay_microseconds(delay_time/2);
	 }
   }
   return 0;
 }

